export default class Session {
    readonly id : string;
    readonly webSiteId : string;
    readonly baseURL : string;

    constructor(id : string , webSiteId : string , baseURL?:string) {
        if (id === null || id === undefined) {
            throw new Error('cannot create Session without id');
        }
        this.id = id;

        if (webSiteId === null || webSiteId === undefined) {
            throw new Error('cannot create Session without webSiteId');
        }
        this.webSiteId = webSiteId;

        this.baseURL = baseURL;
    }

}